package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
public class DrpSupplierScoreHistPageDTO {
   @ApiModelProperty("供应商id")
   private @NotNull(
   message = "供应商不能为空!"
) Long supplierId;
   @ApiModelProperty("区域id")
   private List<Long> areaIdList;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierScoreHistPageDTO(supplierId=" + var10000 + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ")";
   }
}
